Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorShawn O. Pearce2010-02-03 22:42:06 -0500
committerShawn O. Pearce2010-02-11 10:31:50 -0500
commitf50c28b7e1d8c6d259e9386c87ed691383ff11de (patch)
treea49a24f9b3e5edee8e6efb398000de3d27254828 /org.eclipse.egit.core.test/META-INF
parent785f95dbd9397664099300bb6f5096fcc2f202f1 (diff)
downloadegit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.tar.gz
egit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.tar.xz
egit-f50c28b7e1d8c6d259e9386c87ed691383ff11de.zip
Update manifests to use versioned Import-Package or Require-Bundle
Rather than taking anything at random, take the >= 3.4 but less than 4.0 versions for any Eclipse package, and JGit 0.6.0,0.7.0. This documents the assumption we are making about targeting the 3.4 API platform for Eclipse, but hopefully working on a forward release up until 4.0. Change-Id: If3955b243dbd36b6bee63472fa480ac172a80354 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
Diffstat (limited to 'org.eclipse.egit.core.test/META-INF')
-rw-r--r--org.eclipse.egit.core.test/META-INF/MANIFEST.MF31
1 files changed, 17 insertions, 14 deletions
diff --git a/org.eclipse.egit.core.test/META-INF/MANIFEST.MF b/org.eclipse.egit.core.test/META-INF/MANIFEST.MF
index 438bed4f5..2eb331188 100644
--- a/org.eclipse.egit.core.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.core.test/META-INF/MANIFEST.MF
@@ -1,21 +1,24 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: Test Plug-in (Incubation)
+Bundle-Name: Git Team Provider Core Test Plug-in (Incubation)
+Bundle-Vendor: Eclipse.org
Bundle-SymbolicName: org.eclipse.egit.core.test
Bundle-Version: 0.6.0.qualifier
Bundle-Activator: org.eclipse.egit.core.test.Activator
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.team.core,
- org.junit,
- org.eclipse.egit.core,
- org.eclipse.egit.ui,
- org.eclipse.jgit,
- org.eclipse.core.filesystem,
- org.eclipse.jgit.junit;bundle-version="0.6.0"
+Require-Bundle: org.eclipse.core.runtime;version="[3.4.0,4.0.0)",
+ org.eclipse.core.filesystem;version="[3.4.0,4.0.0)",
+ org.eclipse.core.resources;version="[3.4.0,4.0.0)",
+ org.eclipse.team.core;version="[3.4.0,4.0.0)",
+ org.eclipse.jdt.core;version="[3.4.0,4.0.0)",
+ org.eclipse.jdt.launching;version="[3.4.0,4.0.0)"
Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.core.resources,
- org.eclipse.jdt.core,
- org.eclipse.jdt.junit,
- org.eclipse.jdt.launching
-Export-Package: org.eclipse.egit.core.internal.mapping
+Import-Package: junit.framework;version="[4.3.1,5.0.0)",
+ org.eclipse.egit.core;version="[0.6.0,0.7.0)",
+ org.eclipse.egit.core.op;version="[0.6.0,0.7.0)",
+ org.eclipse.egit.core.project;version="[0.6.0,0.7.0)",
+ org.eclipse.jgit.junit;version="[0.6.0,0.7.0)",
+ org.eclipse.jgit.lib;version="[0.6.0,0.7.0)",
+ org.eclipse.jgit.treewalk;version="[0.6.0,0.7.0)",
+ org.eclipse.jgit.treewalk.filter;version="[0.6.0,0.7.0)",
+ org.eclipse.jgit.util;version="[0.6.0,0.7.0)"
Bundle-RequiredExecutionEnvironment: J2SE-1.5

Back to the top